Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CreatePrivateChat

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Chat>
it.tdlight.jni.TdApi.CreatePrivateChat

Enclosing class:
  TdApi

public static final class TdApi.CreatePrivateChat extends TdApi.Function<TdApi.Chat>
Returns an existing chat corresponding to a given user.

Returns `Chat`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`force`
If true, the chat will be created without network request.
`long`
`userId`
User identifier.

## Constructor Summary

Constructors
Constructor
Description
`CreatePrivateChat()`
Returns an existing chat corresponding to a given user.
`CreatePrivateChat(long userId, boolean force)`
Returns an existing chat corresponding to a given user.
`CreatePrivateChat(DataInput input)`
Returns an existing chat corresponding to a given user.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### userId

public long userId
User identifier.

### force

public boolean force
If true, the chat will be created without network request. In this case all information about the chat except its type, title and photo can be incorrect.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### CreatePrivateChat

public CreatePrivateChat()
Returns an existing chat corresponding to a given user.

Returns `Chat`

### CreatePrivateChat

public CreatePrivateChat(long userId, boolean force)
Returns an existing chat corresponding to a given user.

Returns `Chat`

Parameters:
  `userId` - long User identifier.
  `force` - boolean If true, the chat will be created without network request. In this case all information about the chat except its type, title and photo can be incorrect.

### CreatePrivateChat

public CreatePrivateChat(DataInput input) throws IOException
Returns an existing chat corresponding to a given user.

Returns `Chat`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`